### Method

# EDataServerUI CredentialsPrompter get_registry

since: 3.16

#### Declaration [src]

    ESourceRegistry*
    e_credentials_prompter_get_registry (
      ECredentialsPrompter* prompter
    )

#### Description [src]

Returns an `ESourceRegistry`, to which the `prompter` listens.

Available since: 3.16

Gets property | `EDataServerUI.CredentialsPrompter:registry`

#### Return value

Type: `ESourceRegistry`

An `ESourceRegistry`, to which the `prompter` listens.

The returned data is owned by the instance.